# REMLOG.CL -- Transfer remarks from log file to image file
# November 17, 2005
# By Doug Mink
 
procedure savelog ()

string oldroot=""       {prompt="Name of logging file"}
bool verbose=no         {prompt="Log progress on display (yes or no)"}

begin
        string form, arguments, program, logroot

        logroot = oldroot
        if (logroot == '') {
            logroot = obslog.logroot
            if (logroot == '') {
                print ("Log name not defined - epar viewlog or obslog")
                return
                }
            }

        form = obslog.instname

	program = osfn ("obslog$bin(arch)/save_log")
	if (verbose) {
	    arguments = "-v " // form // " " // logroot
	    printf ("!%s %s\n", program, arguments) | cl
	    }
	else {
	    arguments = form // " " // logroot
	    printf ("!%s %s\n", program, arguments) | cl
	    }
end

# May 15 2001	new program, loosely based on initlog.cl
# May 18 2001	change parameter from newroot to oldroot
#
# Nov 17 2005	(Doug Mink) use bin(arch) instead of bin
